> ## Name

> AddressUi - 3D API U texture addressing mode for unit i

> ## Usage

> AddressU[i] = int(mode)

> ## Valid Enumerants

> mode: Repeat, Wrap, Clamp, ClampToEdge, ClampToBorder, Border, MirroredRepeat, Mirror, MirrorClamp, MirrorClampToEdge, MirrorClampToBorder, MirrorOnce

> ## Description

> Sets the Direct3D u-direction wrapping mode for texture unit i, where i is in the range 0-15. See sampler state AddressU for details.

> The standard reset callback sets the AddressU[i] state to int(Wrap).

> ## Opengl Functionality Requirements

> Not applicable.

> ## Direct3D Functionality Requirements

> DirectX 9

> ## See Also

> AddressU, AddressVi, AddressWi